---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterobjreachobj002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2050, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50870, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x527B0, symBinAddr: 0x9130, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52BA0, symBinAddr: 0x9520, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53B40, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53B50, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0xBC3, offset: 0xBC3, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x504E0, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x504E4, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x504E8, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC1E, offset: 0xC1E, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50630, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC97, offset: 0xC97, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x506E8, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCB5, offset: 0xCB5, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x506EC, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCCE, offset: 0xCCE, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x506F0, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCE7, offset: 0xCE7, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x506F4, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD00, offset: 0xD00, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x506F8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92EF, offset: 0x92EF, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50700, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x9378, offset: 0x9378, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50710, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9391, offset: 0x9391, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50718, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93AA, offset: 0x93AA, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50720, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93C3, offset: 0x93C3, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50728, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93DC, offset: 0x93DC, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50730, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93F6, offset: 0x93F6, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50738, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94DC, offset: 0x94DC, size: 0x8, addend: 0x0, symName: __ZL11objectCount, symObjAddr: 0x50780, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x94F5, offset: 0x94F5, size: 0x8, addend: 0x0, symName: __ZL8st_jvmti, symObjAddr: 0x50788, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x950E, offset: 0x950E, size: 0x8, addend: 0x0, symName: __ZL13objectDescBuf, symObjAddr: 0x50790, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9559, offset: 0x9559, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50798, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x9572, offset: 0x9572, size: 0x8, addend: 0x0, symName: __ZL8userData, symObjAddr: 0x507D4, symBinAddr: 0x71E4, symSize: 0x0 }
  - { offsetInCU: 0x95C4, offset: 0x95C4, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xC90, symSize: 0x80 }
  - { offsetInCU: 0x9659, offset: 0x9659, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xBE0, symSize: 0xB0 }
  - { offsetInCU: 0x96B4, offset: 0x96B4, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xAE0, symSize: 0x100 }
  - { offsetInCU: 0x9947, offset: 0x9947, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xD10, symSize: 0xC0 }
  - { offsetInCU: 0x9999, offset: 0x9999, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xDD0, symSize: 0x220 }
  - { offsetInCU: 0x9B7E, offset: 0x9B7E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xFF0, symSize: 0xA0 }
  - { offsetInCU: 0x9C31, offset: 0x9C31, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1090, symSize: 0x110 }
  - { offsetInCU: 0x9D27, offset: 0x9D27, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x11A0, symSize: 0x150 }
  - { offsetInCU: 0x9E84, offset: 0x9E84, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x12F0, symSize: 0x30 }
  - { offsetInCU: 0x9F2D, offset: 0x9F2D, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1320, symSize: 0x150 }
  - { offsetInCU: 0xA125, offset: 0xA125, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1470, symSize: 0x160 }
  - { offsetInCU: 0xA3E5, offset: 0xA3E5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x15D0, symSize: 0x4A0 }
  - { offsetInCU: 0xA658, offset: 0xA658, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1A70, symSize: 0x1B0 }
  - { offsetInCU: 0xA873, offset: 0xA873, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x1C20, symSize: 0xA0 }
  - { offsetInCU: 0xA96E, offset: 0xA96E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1CC0, symSize: 0x20 }
  - { offsetInCU: 0xA9A5, offset: 0xA9A5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1CE0, symSize: 0x20 }
  - { offsetInCU: 0xA9DC, offset: 0xA9DC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x1D00, symSize: 0x20 }
  - { offsetInCU: 0xAAB5, offset: 0xAAB5, size: 0x8, addend: 0x0, symName: _nsk_jvmti_setFailStatus, symObjAddr: 0x35A0, symBinAddr: 0x1D20, symSize: 0x40 }
  - { offsetInCU: 0xAB6C, offset: 0xAB6C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x1D60, symSize: 0x1A0 }
  - { offsetInCU: 0xAE88, offset: 0xAE88, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1F00, symSize: 0x150 }
  - { offsetInCU: 0xB045, offset: 0xB045, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x22F0, symSize: 0x1D0 }
  - { offsetInCU: 0xB341, offset: 0xB341, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x24C0, symSize: 0x80 }
  - { offsetInCU: 0xB40A, offset: 0xB40A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2540, symSize: 0x6C0 }
  - { offsetInCU: 0xBF80, offset: 0xBF80, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA4F0, symBinAddr: 0x3EA0, symSize: 0xB0 }
  - { offsetInCU: 0xBFF7, offset: 0xBFF7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x2C00, symSize: 0x70 }
  - { offsetInCU: 0xC0F7, offset: 0xC0F7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x45A0, symBinAddr: 0x2C70, symSize: 0x3B0 }
  - { offsetInCU: 0xC56F, offset: 0xC56F, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3020, symSize: 0xA0 }
  - { offsetInCU: 0xC64E, offset: 0xC64E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x30C0, symSize: 0x40 }
  - { offsetInCU: 0xC744, offset: 0xC744, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3100, symSize: 0x2B0 }
  - { offsetInCU: 0xCAEA, offset: 0xCAEA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x33B0, symSize: 0xC0 }
  - { offsetInCU: 0xCC30, offset: 0xCC30, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3470, symSize: 0x10 }
  - { offsetInCU: 0xCCF2, offset: 0xCCF2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x3480, symSize: 0x240 }
  - { offsetInCU: 0xCFDB, offset: 0xCFDB, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x36C0, symSize: 0x10 }
  - { offsetInCU: 0xD038, offset: 0xD038, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x36D0, symSize: 0x1F0 }
  - { offsetInCU: 0xD29B, offset: 0xD29B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F10, symBinAddr: 0x38C0, symSize: 0x10 }
  - { offsetInCU: 0xD2F8, offset: 0xD2F8, size: 0x8, addend: 0x0, symName: _objectReferenceCallback1, symObjAddr: 0x9F20, symBinAddr: 0x38D0, symSize: 0xF0 }
  - { offsetInCU: 0xD419, offset: 0xD419, size: 0x8, addend: 0x0, symName: _objectReferenceCallback2, symObjAddr: 0xA010, symBinAddr: 0x39C0, symSize: 0xC0 }
  - { offsetInCU: 0xD5C1, offset: 0xD5C1, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA0D0, symBinAddr: 0x3A80, symSize: 0x420 }
  - { offsetInCU: 0xDA98, offset: 0xDA98, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA5A0, symBinAddr: 0x3F50, symSize: 0x36A }
...
